# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CPAN.pm) perl(Config.pm) perl(DateTime.pm) perl(DateTime/Duration.pm) perl(Fcntl.pm) perl(MooseX/Types/Moose.pm) perl(ok.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-MooseX-Types-DateTimeX
Version:        0.10
Release:        alt1_10
Summary:        Extensions to MooseX::Types::DateTime::ButMaintained
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/MooseX-Types-DateTimeX/
Source0:        http://www.cpan.org/authors/id/E/EC/ECARROLL/MooseX-Types-DateTimeX-%{version}.tar.gz
# https://rt.cpan.org/Public/Bug/Display.html?id=73467
Patch0:         MooseX-Types-DateTimeX-0.10-fix_subtypes.patch
BuildArch:      noarch
BuildRequires:  perl(DateTimeX/Easy.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(Moose.pm)
BuildRequires:  perl(MooseX/Types.pm)
BuildRequires:  perl(MooseX/Types/DateTime/ButMaintained.pm)
BuildRequires:  perl(namespace/clean.pm)
BuildRequires:  perl(Time/Duration/Parse.pm)
# Tests only:
# perl(DateTime::Format::DateManip) missing in META.yml
BuildRequires:  perl(DateTime/Format/DateManip.pm)
BuildRequires:  perl(Test/Exception.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/use/ok.pm)
Requires:       perl(DateTimeX/Easy.pm) >= 0.085
Requires:       perl(Moose.pm) >= 0.41
Requires:       perl(MooseX/Types.pm) >= 0.04
Requires:       perl(MooseX/Types/DateTime/ButMaintained.pm) >= 0.04
Requires:       perl(namespace/clean.pm) >= 0.08
Requires:       perl(Time/Duration/Parse.pm) >= 0.06
Conflicts:      perl(MooseX/Types/DateTime.pm) < 0.05

# RPM 4.8 style:
%filter_from_requires /^perl.DateTimeX.Easy.pm.$/d
%filter_from_requires /^perl.MooseX.Types.DateTime.ButMaintained.pm.$/d
%filter_from_requires /^perl.namespace.clean.pm.$/d
%filter_from_requires /^perl.Time.Duration.Parse.pm.$/d

# RPM 4.9 style:




Source44: import.info

%description
This module builds on MooseX::Types::DateTime to add additional custom
types and coercions. Since it builds on an existing type, all coercions and
constraints are inherited.

%prep
%setup -q -n MooseX-Types-DateTimeX-%{version}
%patch0 -p1

%build
PERL5_CPANPLUS_IS_RUNNING=1 %{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes
%{perl_vendor_privlib}/*

%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.10-alt1_10
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.10-alt1_9
- update to new release by fcimport

* Wed May 30 2012 Igor Vlasenko <viy@altlinux.ru> 0.10-alt1_7
- fc import

